<?php 
header("Access-Control-Allow-Origin: *");
header("Content-Type:application/json; charset=UTF-8");
header("Access-Control-Allow-Methods:POST");
header("Access-Control-Max-Age:3600");
header("Access-Control-Allow-Headers:Content-Type,Access-Control-Allow-Headers,Authorization,X-Requested-With");

include_once '../Database.php';
include_once 'pagos.php';

$database = new DataBase();
$db = $database->getConnection();

$pago = new PAGOS($db);
try{
	$data = json_decode(file_get_contents("php://input"));
	$query = "INSERT INTO ".$pago->table_name." SET fkusuario=:usuario,comprobante=:ruta,aplicado=0";
	$stm = $pago->conn->prepare($query);
	$stm->bindParam(":usuario",$data->fkusuario);
	$stm->bindParam(":ruta",$data->ruta);
	$stmt = $pago->Insert($stm);
	if($stmt !==false){
		echo json_encode(array("Id"=>$stmt));
	}else{
		echo json_encode(array("Error"=>"No se ha creado el registro"));
	}
}catch(Exception $ex){
	echo json_encode(array("Error"=>"No se ha podido procesar la solicitud"));
}

?>